"coalmig" <-
function(n,M) {
    a <- .C("coalescentisland",
	    as.integer(n),
	    as.integer(length(n)),
	    as.double(M),
	    t=double(sum(n)-1),
	    d1=integer(sum(n)-1),
	    d2=integer(sum(n)-1)
	);
    x <- list(t=a$t,d1=a$d1,d2=a$d2,location=rep(1:length(n),n));
    class(x) <- c("poptree","tree")
    x;
}

"coalsplit" <-
function(n,split) {
    a <- .C("coalescentsplit",
	    as.integer(n),
	    as.integer(length(n)),
	    as.double(split),
	    t=double(sum(n)-1),
	    d1=integer(sum(n)-1),
	    d2=integer(sum(n)-1)
	);
    x <- list(t=a$t,d1=a$d1,d2=a$d2,location=rep(1:length(n),n));
    class(x) <- c("poptree","tree")
    x;
}

"coalgrowthsplit" <- function(n,split,growthmodel)
  {
     a <- .C("coalescentgrowthsplit",
             as.integer(n),
             as.integer(length(n)),
             as.double(split),
             as.integer(growthmodel$growthtype),
             as.double(growthmodel$pars),
             ,t=double(sum(n)-1),
             d1=integer(sum(n)-1),
             d2=integer(sum(n)-1));
     x <- list(t=a$t,d1=a$d1,d2=a$d2,location=rep(1:length(n),n));
     class(x) <- c("poptree","tree")
     x;
}
