"mutate" <-
function(tr,nSTR=0,theta=1,ninf=0)
{
    oclass <- class(tr);
    n <- length(tr$t)+1;
    if (nSTR>0) {
	if (length(theta)!=nSTR) theta <- rep(theta,nSTR);
	a <- .C("mutateSTR",
		as.integer(n),
		as.double(tr$t),
		as.integer(tr$d1),
		as.integer(tr$d2),
		dat=integer(n*nSTR+(n-1)),
		as.integer(nSTR),
		as.double(theta)
	    );
	tr <- c(tr,
	    list(STR=matrix(a$dat[-c((n*nSTR+1):(n*nSTR+(n-1)))],ncol=nSTR)));
    }
    if (ninf>0) {
	a <- .C("mutateinf",
		as.integer(n),
		as.double(tr$t),
		as.integer(tr$d1),
		as.integer(tr$d2),
		dat=integer(n*ninf),
		as.integer(ninf)
		);
        tr <- c(tr,list(inf=matrix(a$dat,ncol=ninf)));
    }	
    if (nSTR&&ninf) class(tr) <- c("STRinftree",oclass)
    else if (nSTR) class(tr) <- c("STRtree",oclass)
    else if (ninf) class(tr) <- c("inftree",oclass)
    else class(tr) <- oclass;
    tr;
}
