"simlinkedSNP" <-
function(n,loci,r)
{
    if (length(r)<loci-1) r <- rep(r,length=(loci-1));
    nr  <-  as.integer(length(r));
    a <- .C("simulatelinkedSNP",
            as.integer(n),
            as.integer(loci),
            as.double(r),
            nr,
            d=integer(n*loci),
          );
  x <- list(d=matrix(a$d,ncol=loci),r=r);
  class(x) <- c("SNPhaplotypes","haplotypes");
  x;
}
