"simlinkedSTR" <-
function(n,loci,r,theta)
{
  if (length(theta)<loci) theta <- rep(theta,length=loci);
  if (length(r)<loci-1) r <- rep(r,length=(loci-1));
  nr  <-  as.integer(length(r));
  a <- .C("simulatelinkedSTR",
          as.integer(n),
          as.integer(loci),
          as.double(r),
          nr,
          as.double(theta),
          d=integer(n*loci),
          );
  x <- list(d=matrix(1+a$d-min(a$d),ncol=loci),r=r,theta=theta);
  class(x) <- c("haplotypes");
  x;
}
