"simtimeroot" <- function(n,loci,r)
{
  if (length(r) < loci - 1) 
    r <- rep(r, length = (loci - 1))
  nr <- as.integer(length(r));
  if (nr!=loci-1) stop("simtimeroot: nr != loci-1")
  a <- .C("simulatetimeroot",
          as.integer(n),
          as.integer(loci),
          as.double(r),
          nr,
          troot=double(loci));
  a$troot;
}
