\name{plot.tree}
\alias{plot.tree}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{ Plot Genealogical Trees }
\description{
  A function to produce a graphical representation of a
  tree object.
}
\usage{
plot.tree(t, horizontal = F, labels = F, cex.lab = 0.8, timeaxis = F, maxtime, ...)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{t}{An object of class \code{tree} }
  \item{horizontal}{Produce a vertical  (default) or horizontal plot.  }
  \item{labels}{Supply labels to the tree leaves, or if \code{labels =T}
    try to use the labels variable within the tree). }
  \item{cex.lab}{Size of the labels }
  \item{timeaxis}{Put a time axis on the plot? If this is used then
  \code{maxtime} must be supplied}
  \item{maxtime}{The maximum time that is displayed. }
  \item{\dots}{ Other graphical parameters }
}

\value{
 Used for its side effect.  Nothing returned.
}
\references{ ~put references to the literature/web site here ~ }
\author{ Ian Wilson }
\note{ ~~further notes~~ }

 ~Make other sections like WARNING with \section{WARNING }{....} ~

\seealso{  \code{\link{plot.migtree}} }

\examples{
plot(coal1(20));
plot(coal1(20),labels=1:20);
plot(coal1(20),labels=LETTERS[1:20],horizontal=T);
plot(coal1(20),labels=letters[1:20],horizontal=T,timeaxis=3,maxtime=3);
### display the variability of coalescent trees
opar <- par(mfrow=c(4,4))
for (i in 1:16) plot(coal1(10),maxtime=4)
par(opar)
}
\keyword{ coalescent }% at least one, from doc/KEYWORDS
\keyword{ plot }% __ONLY ONE__ keyword per line
