\name{coalmig}
\alias{coalmig}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{ Generate trees from the symmetric island model. }
\description{
  This function generates trees from the symmetric island model.
}
\usage{
coalmig(n, M)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{n}{ The sample size \code{n}.}
  \item{M}{ The scaled migration rate \code{M}. }
}
\details{
  A simple function to generate trees from the symmetric Island
  model of Sewell Wright.
}
\value{
  Returns an object of class \code{migtree} with
  components
  \item{t }{The coalescence times}
  \item{d1 }{The labels of "left" descendents}
  \item{d2 }{The labels of "right" descendents}
  \item{location}{The location of samples.}
}
%\references{ ~put references to the literature/web site here ~ }
\author{ Ian Wilson \email{I.Wilson@maths.abdn.ac.uk}

\seealso{ \code{\link{coal1}}, \code{\link{mutate}} }

\examples{
m1 <- coalmig(c(10,10,10,10,10),M=0.5);
plot(m1);
}
\keyword{ plot.migtree }% at least one, from doc/KEYWORDS
\keyword{ coalescent }% __ONLY ONE__ keyword per line
\keyword{Island}
