\name{meancoalwithinbetween}
\alias{meancoalwithinbetween}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{ Calculate mean coalescence times within and between populations }
\description{
  Calculate mean coalescence times within and between populations.
}
\usage{
meancoalwithinbetween(t)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{t}{ An object of class \code{migtree} }
}

\value{
  Returns a vector of length two, the first is the mean coalescence
  time within populations, the second the mean coalescence time between populations.
}
%\references{ ~put references to the literature/web site here ~ }
\author{ Ian Wilson <\email{I.Wilson@maths.abdn.ac.uk}>}

\seealso{  \code{\link{coalmig}},\code{\link{meanheight}} }

\examples{
m1<- coalmig(c(10,10,10),M=0.5)
meancoalwithinbetween(m1)
meancoalwithinbetween(coalmig(c(10,10,10),M=5))
}

\keyword{ coalescence }% at least one, from doc/KEYWORDS
\keyword{ island }% __ONLY ONE__ keyword per line
